package com.javaair.business;

import java.util.List;

import com.javaair.dao.FlightDAO;
import com.javaair.entities.Flight;

public class BFlight {
	
	FlightDAO dao;
	
	public BFlight(){
		dao = new FlightDAO();
	}
	
	public List<Flight> findAll(){
		return dao.findAll();
	}
	
	public List<Flight> findByDepartureDate(String departure, String origin, String destination){
		return dao.findByDepartureDate(departure, origin, destination);
	}
	
	public List<Flight> findByArrivalDate(String arrival, String origin, String destination){
		return dao.findByArrivalDate(arrival, origin, destination);
	}
	
	public List<Flight> findSeatsByPlane(Integer planeSid){
		return dao.findSeatsByPlane(planeSid);
	}

}
